package com.sunxung.factoring.entity.fundmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * @Description 客户支用信息-审核实体类
 * @Author Yafan Wang
 * @Date 2023/2/27 20:01
 */
@TableName("financial_customer_expenditure_approval_info")
public class FinancialCustomerExpenditureApprovalInfo extends BaseEntity {

    /**
     * 客户支用信息表ID
     */
    @TableField("financial_customer_expenditure_info_id")
    private Long financialCustomerExpenditureInfoId;

    /**
     * 审批结论 通过pass/退回back/拒绝veto
     */
    @TableField("approval_conclusion")
    private String approvalConclusion;

    /**
     * 审批意见
     */
    @TableField("approval_comments")
    private String approvalComments;

    /**
     * 处理人
     */
    @TableField("assignee_id")
    private Long assigneeId;

    /**
     * 流程Id
     */
    @TableField(exist = false)
    private String taskId;

    public Long getFinancialCustomerExpenditureInfoId() {
        return financialCustomerExpenditureInfoId;
    }

    public void setFinancialCustomerExpenditureInfoId(Long financialCustomerExpenditureInfoId) {
        this.financialCustomerExpenditureInfoId = financialCustomerExpenditureInfoId;
    }

    public String getApprovalConclusion() {
        return approvalConclusion;
    }

    public void setApprovalConclusion(String approvalConclusion) {
        this.approvalConclusion = approvalConclusion;
    }

    public String getApprovalComments() {
        return approvalComments;
    }

    public void setApprovalComments(String approvalComments) {
        this.approvalComments = approvalComments;
    }

    public Long getAssigneeId() {
        return assigneeId;
    }

    public void setAssigneeId(Long assigneeId) {
        this.assigneeId = assigneeId;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }
}
